<template>
  <nav
    class="relative flex flex-wrap items-center px-2 py-3 bg-purple-800 mb-3"
  >
    <div
      class="w-full relative flex justify-between lg:w-auto px-4 lg:static lg:block lg:justify-start"
    >
      <a
        class="text-xl font-bold leading-relaxed inline-block mr-4 py-2 whitespace-nowrap text-white"
      >
        <nuxt-link to="/">Registration of Internships</nuxt-link>
      </a>
      <button type="button" class="menu-button" @click="toggleNavbar()">
        <font-awesome-icon :icon="['fas', 'bars']" />
      </button>
    </div>
    <div
      v-bind:class="{ hidden: !showMenu, flex: showMenu }"
      class="lg:flex lg:flex-grow"
    >
      <ul class="flex flex-col lg:flex-row list-none">
        <li>
          <a
            class="px-3 py-2 flex items-center text-xs font-bold leading-snug text-white hover:opacity-75"
          >
            <nuxt-link to="/">Home</nuxt-link>
          </a>
        </li>
        <li>
          <a
            class="px-3 py-2 flex items-center text-xs font-bold leading-snug text-white hover:opacity-75"
          >
            <nuxt-link to="/users">Internships</nuxt-link>
          </a>
        </li>
      </ul>
    </div>
  </nav>
</template>

<script>
export default {
  name: "AppHeader",
  data() {
    return {
      showMenu: false,
    };
  },
  methods: {
    toggleNavbar() {
      this.showMenu = !this.showMenu;
    },
  },
};
</script>

<style scoped>
.menu-button {
  @apply text-white cursor-pointer text-xl leading-none px-3 py-1 bg-purple-500 border border-solid border-transparent rounded bg-transparent block lg:hidden outline-none focus:outline-none;
}
</style>
